Loading...
Searching...
No Matches
QGpgME::QGpgMEKeyForMailboxJob Class Reference
Inheritance diagram for QGpgME::QGpgMEKeyForMailboxJob:
[legend]
Collaboration diagram for QGpgME::QGpgMEKeyForMailboxJob:
[legend]

## Public Member Functions

| QGpgMEKeyForMailboxJob (GpgME::Context *context)
GpgME::Error | start (const QString &mailbox, bool canEncrypt=true) override
GpgME::KeyListResult | exec (const QString &mailbox, bool canEncrypt, GpgME::Key &key, GpgME::UserID &uid) override
Public Member Functions inherited from QGpgME::_detail::ThreadedJobMixin< KeyForMailboxJob, void, std::tuple< GpgME::KeyListResult, GpgME::Key, GpgME::UserID, QString, GpgME::Error > >
void | run ()
Public Member Functions inherited from QGpgME::Job
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Additional Inherited Members

Public Types inherited from QGpgME::_detail::ThreadedJobMixin< KeyForMailboxJob, void, std::tuple< GpgME::KeyListResult, GpgME::Key, GpgME::UserID, QString, GpgME::Error > >
typedef ThreadedJobMixin< KeyForMailboxJob, void, std::tuple< GpgME::KeyListResult, GpgME::Key, GpgME::UserID, QString, GpgME::Error > > | mixin_type
typedef std::tuple< GpgME::KeyListResult, GpgME::Key, GpgME::UserID, QString, GpgME::Error > | result_type
Signals inherited from QGpgME::KeyForMailboxJob
void | result (const GpgME::KeyListResult &result, const GpgME::Key &key, const GpgME::UserID &uid, const QString &auditLogAsHtml=QString(), const GpgME::Error &auditLogError=GpgME::Error())
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()
Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)
Protected Member Functions inherited from QGpgME::_detail::ThreadedJobMixin< KeyForMailboxJob, void, std::tuple< GpgME::KeyListResult, GpgME::Key, GpgME::UserID, QString, GpgME::Error > >
| ThreadedJobMixin (GpgME::Context *ctx)
void | lateInitialization ()
void | setWorkerFunction (const T_binder &func)
GpgME::Context * | context () const
virtual void | resultHook (const result_type &)
void | slotFinished ()
void | slotCancel () override
QString | auditLogAsHtml () const override
GpgME::Error | auditLogError () const override
void | showProgress (const char *what, int type, int current, int total) override
Protected Member Functions inherited from QGpgME::KeyForMailboxJob
| KeyForMailboxJob (QObject *parent)
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Member Function Documentation

## exec()

KeyListResult QGpgMEKeyForMailboxJob::exec | ( | const QString & | mailbox,
|  | bool | canEncrypt,
|  | GpgME::Key & | key,
|  | GpgME::UserID & | uid )

override virtual

Implements QGpgME::KeyForMailboxJob.

## start()

Error QGpgMEKeyForMailboxJob::start | ( | const QString & | mailbox,
|  | bool | canEncrypt = true )

override virtual

Starts the operation. mailbox is the mailbox to look for.

The result is the same as for the LocateKeysJob.

If canEncrypt is true, only keys that have a subkey for encryption usage are returned. Use this if you need to select a key for signing.

Implements QGpgME::KeyForMailboxJob.

The documentation for this class was generated from the following files:

- qgpgmekeyformailboxjob.h
- qgpgmekeyformailboxjob.cpp